 /*
 * file      : src/chan.c
 * project   : tnt
 * with      : Gtk-3
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TNT - INDIQUEZ ICI CE QUE FAIT LE PROGRAMME
 * GNU General Public License
 *
 * This file is part of TNT.
 *
 * TNT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * TNT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TNT.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef file_h
#define file_h 1

#include <linux/dvb/frontend.h>

typedef struct {
	gchar	*NameChan;
	struct	dvb_frontend_parameters frontend_parameters;
	gint	Video_pid;
	gint	Audio_pid;
	gint	Text_pid;
} CHANNEL;

extern GList	*ListChannels;


gboolean	chan_read( void );
void		chan_remove_list( void );
CHANNEL		*chan_get_struct( gchar *p_NameChan );
void		chan_get_param( gchar *p_NameChan, struct dvb_frontend_parameters *p_param );


#endif

