 /*
 * file      : src/win_about.c
 * project   : tnt
 * with      : Gtk-3
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TNT - INDIQUEZ ICI CE QUE FAIT LE PROGRAMME
 * GNU General Public License
 *
 * This file is part of TNT.
 *
 * TNT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * TNT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TNT.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif
#include <gtk/gtk.h>

#ifdef ENABLE_STATIC_LIBRARY
	#include "../lib_dvbtv/lib.h"
#endif

#include "global.h"
#include "win_about.h"
#include "builder.h"

#define GLADE_GET_ABOUT(OBJ) gtk_builder_get_object (GtkBuilderAbout, OBJ)


GtkWidget	*WindAbout = NULL;
GtkBuilder	*GtkBuilderAbout = NULL;


void on_aboutdialog_dvbtv_response (void)
{
	gtk_widget_hide (WindAbout);
}
gboolean on_aboutdialog_dvbtv_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_hide (WindAbout);
	return TRUE;
}
gboolean on_aboutdialog_dvbtv_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_hide (WindAbout);
	return TRUE;
}
void WinAbout_open (void)
{
	if( NULL == (GtkBuilderAbout = Builder_open( "dvbtv_about.glade", GtkBuilderAbout ))) {
		return;
	}
	// gtk_builder_set_translation_domain( GtkBuilderAbout, GETTEXT_PACKAGE );
	if (NULL == WindAbout) {
		WindAbout = GTK_WIDGET(GLADE_GET_ABOUT("aboutdialog_dvbtv"));
		gtk_about_dialog_set_version( GTK_ABOUT_DIALOG(WindAbout), VERSION );
		gtk_builder_connect_signals (GtkBuilderAbout, NULL);
		gtk_window_set_transient_for (GTK_WINDOW(WindAbout), GTK_WINDOW(WindMain));
		gtk_window_set_modal (GTK_WINDOW (WindAbout), TRUE);
		libutils_set_default_icone_to_win (WindAbout);
		gtk_window_set_title (GTK_WINDOW(WindAbout), _("A propos de dvbtv"));
	}
	gtk_widget_show (WindAbout);

}










